[PATCH 4 of 5 oldpy] bugzilla: stop mentioning Pythons older than 2.6

Augie Fackler raf at durin42.com
Mon Nov 21 18:48:06 EST 2016


# HG changeset patch
# User Augie Fackler <augie at google.com>
# Date 1479768752 18000
#      Mon Nov 21 17:52:32 2016 -0500
# Node ID 30886d0c0d17add55d64e53fb087bb53499cb682
# Parent  59ed48548b8d21484008d3c8a9617dd6dddf13f4
bugzilla: stop mentioning Pythons older than 2.6

We don't support those anyway.

diff --git a/hgext/bugzilla.py b/hgext/bugzilla.py
--- a/hgext/bugzilla.py
+++ b/hgext/bugzilla.py
@@ -571,9 +571,9 @@ class cookietransportrequest(object):
         self.send_user_agent(h)
         self.send_content(h, request_body)
 
-        # Deal with differences between Python 2.4-2.6 and 2.7.
+        # Deal with differences between Python 2.6 and 2.7.
         # In the former h is a HTTP(S). In the latter it's a
-        # HTTP(S)Connection. Luckily, the 2.4-2.6 implementation of
+        # HTTP(S)Connection. Luckily, the 2.6 implementation of
         # HTTP(S) has an underlying HTTP(S)Connection, so extract
         # that and use it.
         try:


More information about the Mercurial-devel mailing list